@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

* {
  font-family: "Roboto", sans-serif;
}

body {
  margin: 0;
  box-sizing: border-box;
}

ul,
ol {
  padding: 0;
  list-style: none;
  margin: 0;
}

.ad {
  background-color: #14287b;
  height: 5vh;
  display: none;
}

.scroll-to-top {
  position: fixed;
  bottom: 20px;
  right: 20px;
  padding: 1.2em;
  border-radius: 50%;
  background-color: #04b08b;
  color: #fff;
  cursor: pointer;
  display: none;
  z-index: 98;
}

.scroll-to-top i {
  color: #14287b;
  font-size: 1.5em;
}


/* NavBar */
#logo {
  cursor: pointer;
  width: 80px;
}

#open_nav_list,
#close_nav_list {
  font-size: 2em;
  color: #0255a8;
  cursor: pointer;
}

img#logo {
  width: 80px;
}

header {
  width: 100%;
  position: fixed;
  border-bottom: 2px solid #004b92;
  background-color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.3s ease-in-out;
  top: 0 !important;
  border-bottom: 2px solid #14287b !important;
  z-index: 9999;

}

nav {
  width: 90%;
  margin: 0 auto;
  height: 7vh;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav_list {
  background-color: white;
  position: absolute;
  width: 100%;
  top: -100%;
  left: 0;
  display: flex;
  flex-direction: column;
  border-bottom: 2px solid #001e98;
  transform: translate(-100%);
}

.nav_list_show {
  top: 10.5vh;
  transform: translate(0);
  animation: show 400ms ease-in-out;
}

.nav_list li {
  display: flex;
  align-items: baseline;
  border-top: 1px dashed #dddddd;
  padding: 1em 0.5em;
  gap: 0.5em;
  color: #111111;
  font-weight: 500;
  width: 100%;

}

.nav_list li span {
  cursor: pointer;
}


@keyframes show {
  0% {
    opacity: 0;
    transform: translateY(-5%);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.nav_plus:hover .Leistungen_list {
  display: block;
}

.nav_list li div {
  display: flex;
  gap: 0.5em;
  align-items: baseline;
}

.nav_plus {
  display: flex;
  justify-content: space-between;
}

.nav_plus div {
  display: flex;
  flex-direction: column;
}

.nav_list li span:hover {
  color: #287ff9;
}

.nav_list li i {
  color: #287ff9;
  cursor: pointer;
}

.pm {
  color: #002bd6;
  padding-right: 1.5em;
}

.pm:hover {
  color: #287ff9;
}

#minus_btn {
  display: none;
}

.arrow_list {
  width: 5px;
  display: none;
}

#close_nav_list {
  display: none;
}

.nav_call {
  display: none;
  align-items: center;
  gap: 1em;
}

.nav_call i {
  font-size: 2em;
  color: #035efc;
}

.nav_call h1 {
  margin: 0;
}

@media (min-width: 750px) and (max-width: 1400px) {
  nav {
    width: 98% !important;
  }
}

@media (min-width: 1100px) {

  #close_nav_list,
  #open_nav_list,
  #minus_btn,
  #plus_btn {
    display: none !important;
  }

  .ad {
    display: block !important;
  }

  header {
    top: 5vh !important;
    height: 15vh !important;
    border-bottom: none !important;

  }

  nav {
    width: 75%;
  }

  #logo {
    width: 16em;
  }

  .nav_call {
    display: flex;
  }

  .nav_list {
    position: initial;
    transform: translate(0);
    flex-direction: row;
    border: none;
    width: fit-content;
  }

  .nav_list li {
    border: none;
    width: fit-content;
    font-size: 1.3em;
  }

  .nav_list li i {
    display: none;
  }

  .nav_plus:hover .Leistungen_list {
    display: block !important;
  }
}

/* End NavBar */

.image_section1 {
  padding-top: 7vh;
  width: 100%;
}

.image_section1 img {
  width: 100%;
}

@media (min-width: 890px) {
  .image_section1 {
    padding-top: 7vh !important;
  }
}

/* Cards Section */
.cards_section {
  margin-top: 15vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 5em;
}

.card {
  text-align: center;
}

.card i {
  font-size: 4em;
  background-color: rgb(5, 84, 254);
  color: white;
  padding: 1.1em 1.3em;
  border-radius: 0.1em;
  transform: rotate(15deg);
  transition: transform 0.4s ease-in-out;
}

.card i:hover {
  background-color: white;
  box-shadow: 0px 18px 15px -4px rgba(0, 70, 167, 0.17);
  box-shadow: 3px;
  color: #005dae;
  transform: rotate(0deg);
}

.card h2 {
  color: #012b94;
  margin-top: 2.5em;
}

@media (min-width: 974px) {
  .cards_section {
    width: 75%;
    margin: 15vh auto 0;
    gap: 7em;
    flex-direction: row;
  }
}

/* End Cards Section */

/* Section2 */
.section2 {
  width: 100%;
  padding: 10vh 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.section2_img img {
  width: 100%;
}

.section2_cont {
  padding: 0 1.1em;
  color: #646464;
}

.section2_cont h1 {
  color: #287ff9;
  font-weight: 500;
}

.section2_cont p {
  font-size: 1.2em;
  line-height: 1.6;
}

.section2_cont ul {
  font-size: 1.3em;
  width: 80%;
  display: flex;
  flex-direction: column;
  gap: 0.8em;
}

.section2_cont ul li {
  display: flex;
  align-items: baseline;
  gap: 0.5em;
  line-height: 1.5;
}

.section2_cont li i {
  color: #14287b;
}

.yellow_butt {
  margin-top: 1.5em;
  background-color: #04b08b;
  cursor: pointer;
  font-size: 1.2em;
  padding: 1em 1.3em;
  font-weight: 500;
  border: none;
  outline: none;
  border-radius: 0.2em;
  color: #14287b;
  border: none;
  transition: background-color 0.5s ease;
  position: relative;
  overflow: hidden;
}

.yellow_butt::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background-color: #04b08b;
  transition: left 0.5s ease;
}

.yellow_butt:hover {
  background-color: #14287b;
  color: white;
}

.yellow_butt:hover::before {
  left: 100%;
}

@media (min-width: 1400px) {
  .section2 {
    flex-direction: row;
    justify-content: space-between;
    width: 75%;
    margin: 0 auto;
  }

  .section2_cont {
    width: 40%;
    background-image: url("https://www.gebaeudereinigung-stuttgart-city.de/wp-content/themes/clenix/assets/img/figure15.png");
    background-repeat: no-repeat;
    background-size: contain;
  }

  .section2_img {
    width: 55%;
  }
}

@media (min-width: 1100px) and (max-width: 1400px) {
  .section2 {
    flex-direction: row;
    justify-content: space-between;
    width: 95%;
    margin: 0 auto;
  }

  .section2_cont {
    width: 40%;
  }

  .section2_img {
    width: 60%;
  }
}

/* End Section2 */


/* Section3 */
.section3 {
  background-color: white;
  text-align: center;
  padding: 15vh 0;
  flex-direction: column;
  display: flex;
  align-items: center;
  justify-content: center;
}

.section3_head h1 {
  color: #287ff9;
  font-weight: 500;
  margin: 0;
}

.s3_cards {
  margin-top: 5em;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  flex-direction: column;
  gap: 2em;
}

.s3_card {
  box-shadow: 0px 0px 22px 0px rgba(0, 0, 0, 0.1);
  width: 80%;
  margin: 0 auto;
}


.s3_card_top {
  background-color: white;
  width: 100%;
  height: 0px;
}

.s3_card_descp {
  background-color: white;
  padding: 1em .5em;

}

.s3_card_descp h2 {
  font-size: 1.7em;
  color: #353535;
}

.s3_card_descp p {
  color: #353535;
  font-size: 1.3em;
}

@media (min-width: 1100px) {
  .s3_cards {
    width: 90%;
    margin: 15vh auto;
    flex-direction: row;
  }

  .s3_card {
    width: 30%;

  }
}

@media (min-width: 1400px) {
  .s3_cards {
    width: 75% !important;
  }
}

/* End Section3 */

/* Section4 */
.section4 {
  position: relative;
  width: 100%;
  height: 400px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #7f94e7cf;
}

.section4 img {
  position: absolute;
  left: -200px;
  z-index: -1;

}

.s4_cont {
  text-align: center;
}

.s4_cont h1 {
  margin: 0;
  font-size: 1.8em;
  line-height: 1.4;
  color: white;
}

.s4_cont .yellow_butt:hover {
  background-color: #ffffff;
  color: #14287b;
}

@media (min-width: 1100px) {
  .s4_cont h1 {
    font-size: 2.5em;
  }

  .s4_cont button {
    font-size: 1.4em;
  }
}

/* End Section4 */

/* Paragraphs Section */
.paragraphs_section {
  padding: 4vh 2em;
}

.paragraph h1 {
  font-size: 2.1em;
  color: #14287b;
  hyphens: auto;
  overflow-wrap: break-word;
}

.p2 {
  font-size: 1.9em !important;
}

.p3 {
  font-size: 1.6em !important;
}

.paragraph p {
  color: #7A7A7A;
  font-size: 1.4em;
  line-height: 1.5;
}

@media (min-width: 1200px) {
  .paragraphs_section {
    width: 75%;
    margin: 0 auto;
  }
}

/* End Paragraphs Section */

/* Footer */
footer {
  background-color: #016ea0;
  padding: 50px;
  color: white;
  text-align: center;

}

footer img {
  width: 5em;
}

footer span {
  font-size: 1.2em;
  color: #c6ceec;
}

footer h1 {
  margin: 0;
}

.top_footer {
  display: flex;
  flex-direction: column;
  gap: 2em;
}

.top_footer div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.top_footer div span {
  display: flex;
  gap: .8em;
}

.bot_footer {
  margin-top: 5em;
  border-top: 1px solid white;
  padding: 1.2em 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2em;
}

.bot_footer span {
  font-size: 1.3em;
}

.bot_footer ul {
  display: flex;
  gap: 1em;
  font-size: 1.2em;
  color: #c6ceec;
}

@media (min-width: 1000px) {
  .top_footer {
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    width: 85%;
    margin: 0 auto;
  }

  .top_footer div {
    width: 30%;
  }

  .bot_footer {
    width: 85%;
    margin: 8em auto 0;
    flex-direction: row;
    justify-content: space-between;
  }
}

/* End Footer */
/* Additional styles for the slider and navigation arrows */
.image_section1 {
  position: relative;
  overflow: hidden;
  height: 600px;
  background-image: url('./img/slide-8.jpg');
  /* Set the desired height for your slider */
}

a {
  text-decoration: none;
}

.slider-container {
  display: flex;
  width: 100%;
  height: 100%;
  animation: slideAnimation 20s infinite;
}

.slide {
  flex: 0 0 100%;
}

.slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@keyframes slideAnimation {
  0% {
    transform: translateX(0%);
  }

  20% {
    transform: translateX(-100%);
  }

  40% {
    transform: translateX(-200%);
  }

  60% {
    transform: translateX(-300%);
  }

  80% {
    transform: translateX(-400%);
  }

  100% {
    transform: translateX(-500%);
  }
}

/* Styles for navigation arrows */



@media screen and (max-width:800px) {
  img#logo {
    width: 50px;
  }
}


.current-slide {
  margin-top: 80px;
  height: 600px;
}

.slide-bg1 {
  height: 100%;
  background-image: url("./img/slide-1.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.slide-bg2 {
  height: 100%;
  background-image: url("./img/slide-2.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.slide-bg3 {
  height: 100%;
  background-image: url("./img/slide-3.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.slide-bg4 {
  height: 100%;
  background-image: url("./img/slide-4.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.slide-bg5 {
  height: 100%;
  background-image: url("./img/slide-5.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.slide-bg6 {
  height: 100%;
  background-image: url("./img/slide-6.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.slide-bg7 {
  height: 100%;
  background-image: url("./img/slide-7.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.slide-bg8 {
  height: 100%;
  background-image: url("./img/slide-8.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.slide-bg9 {
  height: 100%;
  background-image: url("./img/slide-9.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.slide-bg10 {
  height: 100%;
  background-image: url("./img/slide-10.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.slide-bg11 {
  height: 100%;
  background-image: url("./img/slide-11.jpeg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.slide-bg12 {
  height: 100%;
  background-image: url("./img/slide-12.jpeg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.slide-bg13 {
  height: 100%;
  background-image: url("./img/slide-13.jpeg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.slide-bg14 {
  height: 100%;
  background-image: url("./img/slide-14.jpeg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.slide-bg15 {
  height: 100%;
  background-image: url("./img/slide-15.jpeg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.slide-gradient {
  height: 100%;
  background: transparent linear-gradient(90deg, #000 0%, #00000000 100%) 0% 0% no-repeat padding-box;
}

.slide-container {
  max-width: 1200px;
  margin: 0 auto;
}

.slide-center {
  display: flex;
  height: 100%;
  align-items: center;
}

.slide-content {
  max-width: 570px;
}

.slide-title {
  font-size: 36px;
  line-height: 50px;
  color: #fff;
}

.slide-divider {
  width: 40px;
  height: 3px;
  background-color: #00a5ec;
  margin-bottom: 30px;
}

.slide-txt {
  font-size: 18px;
  line-height: 28px;
  color: #fff;
}

.slide-btn {
  display: inline-block;
  color: #fff;
  text-decoration: none;
  transition: all 0.3s;
  border: 2px solid #fff;
  padding: 13px 34px;
  border-radius: 100px;
  margin-top: 30px;
  font-weight: bold;
  margin-bottom: 40px;
}

.slide-btn:hover {
  color: #fff;
  background-color: #00a5ec;
}

.slick-dots {
  position: absolute;
  list-style: none;
  max-width: 1200px;
  width: 100%;
  left: 50%;
  transform: translateX(-50%);
  bottom: 30px;
  text-align: left;
}

.slick-dots li {
  display: inline-block;
  margin: 0;
  width: 16px;
  height: 16px;
  margin-right: 15px;
}

.slick-dots li button {
  font-size: 0;
  padding: 0;
  width: 16px;
  height: 16px;
  border: 2px solid #fff;
  background-color: transparent;
}

.slick-dots li.slick-active button {
  border: 2px solid #fff;
}

@media (max-width: 1400px) {

  .slide-content,
  .slick-dots {
    padding-left: 100px;
  }
}

@media (max-width: 650px) {

  .slide-content,
  .slick-dots {
    padding-left: 20px;
    padding-right: 20px;
  }
}